<?xml version="1.0" encoding="utf-8" ?>
<taskrunner name="install.isoview" version="1.0" date="2008-10-30" maxthreads="1">

  <!-- checks installed version. -->

  <includes>
    <file name="vida.install.settings.xml" />
  </includes>

  <properties>
    <property key="install.src.isoview.dir" value="${install.src.3pp.products.dir}\isoView"/>
    <property key="target.isoEngine.reg" value="${target.root}\isoEngine.reg}"/>
    <property key="reg.path" value="HKLM\SOFTWARE\Microsoft\Internet Explorer\Low Rights\ElevationPolicy\IsoView 4"/>
    <property key="install.path" value="&quot;%ProgramFiles%\ITEDO Software\IsoView 4&quot;"/>
  </properties>

  <tasks>

    <task name="run.installer" typename="@CommandLine">
      <dependencies list="set.write.access"/>
      <parameters>
        <parameter name="filename" value="msiexec.exe"/>
        <parameter name="arguments" value="/quiet /norestart /i IsoView.msi"/>
        <parameter name="workingdirectory" value="${install.src.isoview.dir}"/>
      </parameters>
    </task>

    <!-- 3 registry settings solution for QC # .....-->
    <task name="reg.add.appl" typename="@RegAdd">
      <dependencies list="run.installer"/>
      <parameters>
        <parameter name="key" value="${reg.path}"/>
        <parameter name="arguments" value="/v AppName /t REG_SZ /d IsoEngine.exe /f"/>
      </parameters>
    </task>

    <task name="reg.add.apppath" typename="@RegAdd">
      <dependencies list="reg.add.appl"/>
      <parameters>
        <parameter name="key" value="${reg.path}"/>
        <parameter name="arguments" value="/v AppPath /t REG_EXPAND_SZ /d ${install.path} /f"/>
      </parameters>
    </task>

    <task name="reg.add.policy" typename="@RegAdd">
      <dependencies list="reg.add.apppath"/>
      <parameters>
        <parameter name="key" value="${reg.path}"/>
        <parameter name="arguments" value="/v Policy /t REG_DWORD /d 1 /f"/>
      </parameters>
    </task>

  </tasks>

</taskrunner>